python-orcid and v3 support for Member API

72 views
Skip to first unread message

Chun Ly

unread,
Sep 28, 2021, 11:51:17 AM9/28/21
to ORCID API Users
Hello,

I'm new to this ORCiD API Users support group, so apologies if this question and related questions have been answered before.

I came across python-orcid and noticed that it only supports v2 of the Member API. Last year, someone raised the issue about whether support for v3 is available, particularly since they have concerns about v2 support being deprecated.

Two questions:
1. Any plans to update this codebase for v3 support?
2. Are there specific plans for v2 deprecation?

Cheers,
 - Chun

Research Data Developer

Fran Alsina

unread,
Oct 7, 2021, 10:17:37 AM10/7/21
to ORCID API Users
Hi Chun, 

Thank you for reaching out. 

To answer your questions, the python-orcid wrapper was not developed and it is not maintained by ORCID. In this case, you can contact Mateusz Susik (the author) directly to get some answers. You can also volunteer to maintain the wrapper. 

Regarding the API versions, we do not have a specific plan to deprecate v2.0, however, we strongly recommend you work with v3.0, which is our latest and default version. Feel free also to check out our API version policy: 


I hope that this information helps. If any further questions arise, do let us know. We are here to help.

Cheers,

Fran
Reply all
Reply to author
Forward
0 new messages